Summary:	PyCA's cryptography library
Name:		python-cryptography
Version:	1.1
Release:	3
License:	ASL2.0 or BSD
Group:		Development/Python
Url:		https://cryptography.io/en/latest/
Source0:	https://pypi.python.org/packages/source/c/cryptography/cryptography-%{version}.tar.gz
Patch0:		cryptography-1.1-Remove_SSLv2_bindings.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(python)
BuildRequires:	pyasn1
BuildRequires:	python-cffi >= 0.8
BuildRequires:	python-cryptography-vectors = %{version}
BuildRequires:	python-enum34
BuildRequires:	python-iso8601
BuildRequires:	python-pretend
BuildRequires:	python-pytest
BuildRequires:	python-setuptools
BuildRequires:	python-six

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-cffi >= 0.8
BuildRequires:	python3-cryptography-vectors = %{version}
BuildRequires:	python3-iso8601
BuildRequires:	python3-pretend
BuildRequires:	python3-pyasn1
BuildRequires:	python3-pytest
BuildRequires:	python3-setuptools
BuildRequires:	python3-six

Requires:	openssl
Requires:	python-enum34
Requires:	python-cffi >= 0.8
Requires:	python-six >= 1.6.1

%description
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.

%files
%doc LICENSE LICENSE.APACHE LICENSE.BSD README.rst docs
%{py_platsitedir}/*

#----------------------------------------------------------------------------

%package -n python3-cryptography
Summary:	PyCA's cryptography library
Group:		Development/Python
Requires:	openssl
Requires:	python3-cffi >= 0.8
Requires:	python3-six >= 1.6.1

%description -n python3-cryptography
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.

%files -n python3-cryptography
%doc LICENSE LICENSE.APACHE LICENSE.BSD README.rst docs
%{py3_platsitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q -n cryptography-%{version}
%patch0 -p1

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'

%build
python setup.py build

pushd %{py3dir}
python3 setup.py build
popd

%install
# Actually other *.c and *.h are appropriate
# see https://github.com/pyca/cryptography/issues/1463
find . -name .keep -print -delete

python setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}

pushd %{py3dir}
python3 setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}
popd

%check
python setup.py test

# Should be enabled next time
#pushd %{py3dir}
#python3 setup.py test
#popd


%changelog

* Thu Jun 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1-3
- (ce44982) Add patch from OpenEmbedded to fix build with OpenSSL without SSLv2 support


